Qt 5.8 | Qt Designer Manual | C++ Classes | QDesignerObjectInspectorInterface

Qt 5.8.0 Reference Documentation

# QDesignerObjectInspectorInterface Class

The QDesignerObjectInspectorInterface class allows you to change the focus of Qt Designer's object inspector. More...

Header: | #include <QDesignerObjectInspectorInterface>
qmake: | QT += designer

- List of all members, including inherited members

## Public Functions

| QDesignerObjectInspectorInterface(QWidget *parent, Qt::WindowFlags flags = Qt::WindowFlags())
virtual | ~QDesignerObjectInspectorInterface()
virtual QDesignerFormEditorInterface * | core() const

## Public Slots

virtual void | setFormWindow(QDesignerFormWindowInterface *formWindow) = 0

## Detailed Description

The QDesignerObjectInspectorInterface class allows you to change the focus of Qt Designer's object inspector.

You can use the QDesignerObjectInspectorInterface to change the current form window selection. For example, when implementing a custom widget plugin:

              QDesignerObjectInspectorInterface *objectInspector = 0;
              objectInspector = formEditor->objectInspector();

              QDesignerFormWindowManagerInterface *manager = 0;
              manager = formEditor->formWindowManager();

              objectInspector->setFormWindow(manager->formWindow(0));

The QDesignerObjectInspectorInterface class is not intended to be instantiated directly. You can retrieve an interface to Qt Designer's object inspector using the QDesignerFormEditorInterface::objectInspector() function. A pointer to Qt Designer's current QDesignerFormEditorInterface object (`formEditor` in the example above) is provided by the QDesignerCustomWidgetInterface::initialize() function's parameter. When implementing a custom widget plugin, you must subclass the QDesignerCustomWidgetInterface to expose your plugin to Qt Designer.

The interface provides the core() function that you can use to retrieve a pointer to Qt Designer's current QDesignerFormEditorInterface object, and the setFormWindow() function that enables you to change the current form window selection.

See also QDesignerFormEditorInterface and QDesignerFormWindowInterface.

## Member Function Documentation

### QDesignerObjectInspectorInterface::QDesignerObjectInspectorInterface(QWidget *parent, Qt::WindowFlags flags = Qt::WindowFlags())

Constructs an object inspector interface with the given parent and the specified window flags.

### `[virtual]` QDesignerObjectInspectorInterface::~QDesignerObjectInspectorInterface()

Destroys the object inspector interface.

### `[virtual]` QDesignerFormEditorInterface *QDesignerObjectInspectorInterface::core() const

Returns a pointer to Qt Designer's current QDesignerFormEditorInterface object.

### `[pure virtual slot]` void QDesignerObjectInspectorInterface::setFormWindow(QDesignerFormWindowInterface *formWindow)

Sets the currently selected form window to formWindow.